# class Sass::Tree::MixinNode

A static node representing a mixin include. When in a static tree, the sole purpose is to wrap exceptions to add the mixin to the backtrace.

@see Sass::Tree

### Attributes

args[RW]

The arguments to the mixin. @return [Array<Script::Tree::Node>]

keywords[RW]

A hash from keyword argument names to values. @return [Sass::Util::NormalizedMap<Script::Tree::Node>]

kwarg_splat[RW]

The second splat argument for this mixin, if one exists.

If this exists, it's always a map of keyword arguments, and {#splat} is always either a list or an arglist.

@return [Node?]

name[R]

The name of the mixin. @return [String]

splat[RW]

The first splat argument for this mixin, if one exists.

This could be a list of positional arguments, a map of keyword arguments, or an arglist containing both.

@return [Node?]

### Public Class Methods

new(name, args, keywords, splat, kwarg_splat) click to toggle source

@param name [String] The name of the mixin @param args [Array<Script::Tree::Node>] See {#args} @param splat [Script::Tree::Node] See {#splat} @param #kwarg_splat [Script::Tree::Node] See {#kwarg_splat} @param keywords [Sass::Util::NormalizedMap<Script::Tree::Node>] See {#keywords}

Calls superclass method

    # File lib/sass/tree/mixin_node.rb, line 43
    def initialize(name, args, keywords, splat, kwarg_splat)
      @name = name
      @args = args
      @keywords = keywords
      @splat = splat
      @kwarg_splat = kwarg_splat
      super()
    end